from django.db import models
from dashboard.models import WidgetUser


class ForumPost(models.Model):
    title = models.CharField(max_length=50)
    body = models.CharField(max_length=1000)
    author = models.ForeignKey(WidgetUser, on_delete=models.CASCADE)
    pub_datetime = models.DateTimeField("Published Date and Time", auto_now_add=True)

    def __str__(self):
        return self.title


class Reply(models.Model):
    forum_post = models.ForeignKey(ForumPost, on_delete=models.CASCADE)
    body = models.CharField(max_length=1000)
    author = models.ForeignKey(WidgetUser, on_delete=models.CASCADE)
    pub_datetime = models.DateTimeField("Published Date and Time", auto_now_add=True)

    def __str__(self):
        return self.body
